// 字幅切り替えマップ
(function() {
  return {
    'あ' : 'ア',
    'い' : 'イ',
    'う' : 'ウ',
    'え' : 'エ',
    'お' : 'オ',
    'か' : 'カ',
    'き' : 'キ',
    'く' : 'ク',
    'け' : 'ケ',
    'こ' : 'コ',
    'さ' : 'サ',
    'し' : 'シ',
    'す' : 'ス',
    'せ' : 'セ',
    'そ' : 'ソ',
    'た' : 'タ',
    'ち' : 'チ',
    'つ' : 'ツ',
    'て' : 'テ',
    'と' : 'ト',
    'な' : 'ナ',
    'に' : 'ニ',
    'ぬ' : 'ヌ',
    'ね' : 'ネ',
    'の' : 'ノ',
    'は' : 'ハ',
    'ひ' : 'ヒ',
    'ふ' : 'フ',
    'へ' : 'ヘ',
    'ほ' : 'ホ',
    'ま' : 'マ',
    'み' : 'ミ',
    'む' : 'ム',
    'め' : 'メ',
    'も' : 'モ',
    'や' : 'ヤ',
    'ゆ' : 'ユ',
    'よ' : 'ヨ',
    'ら' : 'ラ',
    'り' : 'リ',
    'る' : 'ル',
    'れ' : 'レ',
    'ろ' : 'ロ',
    'わ' : 'ワ',
    'ゐ' : 'ヰ',
    'ゑ' : 'ヱ',
    'を' : 'ヲ',
    'ん' : 'ン',
    'が' : 'ガ',
    'ぎ' : 'ギ',
    'ぐ' : 'グ',
    'げ' : 'ゲ',
    'ご' : 'ゴ',
    'ざ' : 'ザ',
    'じ' : 'ジ',
    'ず' : 'ズ',
    'ぜ' : 'ゼ',
    'ぞ' : 'ゾ',
    'だ' : 'ダ',
    'ぢ' : 'ヂ',
    'づ' : 'ヅ',
    'で' : 'デ',
    'ど' : 'ド',
    'ば' : 'バ',
    'び' : 'ビ',
    'ぶ' : 'ブ',
    'べ' : 'ベ',
    'ぼ' : 'ボ',
    'ぱ' : 'パ',
    'ぴ' : 'ピ',
    'ぷ' : 'プ',
    'ぺ' : 'ペ',
    'ぽ' : 'ポ',
    'ぁ' : 'ァ',
    'ぃ' : 'ィ',
    'ぅ' : 'ゥ',
    'ぇ' : 'ェ',
    'ぉ' : 'ォ',
    'ゃ' : 'ャ',
    'ゅ' : 'ュ',
    'ょ' : 'ョ',
    'っ' : 'ッ',
    'ゎ' : 'ヮ',
    '；' : '＋',
    '：' : '＊',
    '，' : '＜',
    '．' : '＞',
    '／' : '？',
    'ａ' : 'Ａ',
    'ｂ' : 'Ｂ',
    'ｃ' : 'Ｃ',
    'ｄ' : 'Ｄ',
    'ｅ' : 'Ｅ',
    'ｆ' : 'Ｆ',
    'ｇ' : 'Ｇ',
    'ｈ' : 'Ｈ',
    'ｉ' : 'Ｉ',
    'ｊ' : 'Ｊ',
    'ｋ' : 'Ｋ',
    'ｌ' : 'Ｌ',
    'ｍ' : 'Ｍ',
    'ｎ' : 'Ｎ',
    'ｏ' : 'Ｏ',
    'ｐ' : 'Ｐ',
    'ｑ' : 'Ｑ',
    'ｒ' : 'Ｒ',
    'ｓ' : 'Ｓ',
    'ｔ' : 'Ｔ',
    'ｕ' : 'Ｕ',
    'ｖ' : 'Ｖ',
    'ｗ' : 'Ｗ',
    'ｘ' : 'Ｘ',
    'ｙ' : 'Ｙ',
    'ｚ' : 'Ｚ',
    '1' : '!',
    '2' : '"',
    '3' : '#',
    '4' : '$',
    '5' : '%',
    '6' : '&',
    '7' : "'",
    '8' : '(',
    '9' : ')',
    '-' : '=',
    '^' : '~',
    '\\' : '|',
    '!' : '1',
    '"' : '2',
    '#' : '3',
    '$' : '4',
    '%' : '5',
    '&' : '6',
    "'" : '7',
    '(' : '8',
    ')' : '9',
    '=' : '-',
    '~' : '^',
    '|' : '\\',
    '[' : '{',
    ']' : '}',
    '{' : '[',
    '}' : '}',
    '［' : '｛',
    '］' : '｝',
    '｛' : '［',
    '｝' : '］',
    '０' : '⑩',
    '１' : '①',
    '２' : '②',
    '３' : '③',
    '４' : '④',
    '５' : '⑤',
    '６' : '⑥',
    '７' : '⑦',
    '８' : '⑧',
    '９' : '⑨',
    'α' : 'Α',
    'β' : 'Β',
    'γ' : 'Γ',
    'δ' : 'Δ',
    'ε' : 'Ε',
    'ζ' : 'Ζ',
    'η' : 'Η',
    'θ' : 'Θ',
    'ι' : 'Ι',
    'κ' : 'Κ',
    'λ' : 'Λ',
    'μ' : 'Μ',
    'ν' : 'Ν',
    'ξ' : 'Ξ',
    'ο' : 'Ο',
    'π' : 'Π',
    'ρ' : 'Ρ',
    'σ' : 'Σ',
    'τ' : 'Τ',
    'υ' : 'Υ',
    'φ' : 'Φ',
    'χ' : 'Χ',
    'ψ' : 'Ψ',
    'ω' : 'Ω',
    'а' : 'А',
    'б' : 'Б',
    'в' : 'В',
    'г' : 'Г',
    'д' : 'Д',
    'е' : 'Е',
    'ё' : 'Ё',
    'ж' : 'Ж',
    'з' : 'З',
    'и' : 'И',
    'й' : 'Й',
    'к' : 'К',
    'л' : 'Л',
    'м' : 'М',
    'н' : 'Н',
    'о' : 'О',
    'п' : 'П',
    'р' : 'Р',
    'с' : 'С',
    'т' : 'Т',
    'у' : 'У',
    'ф' : 'Ф',
    'х' : 'Х',
    'ц' : 'Ц',
    'ч' : 'Ч',
    'ш' : 'Ш',
    'щ' : 'Щ',
    'ъ' : 'Ъ',
    'ы' : 'Ы',
    'ь' : 'Ь',
    'э' : 'Э',
    'ю' : 'Ю',
    'я' : 'Я',
    //inverse
    'Ａ' : 'ａ',
    'Ｂ' : 'ｂ',
    'Ｃ' : 'ｃ',
    'Ｄ' : 'ｄ',
    'Ｅ' : 'ｅ',
    'Ｆ' : 'ｆ',
    'Ｇ' : 'ｇ',
    'Ｈ' : 'ｈ',
    'Ｉ' : 'ｉ',
    'Ｊ' : 'ｊ',
    'Ｋ' : 'ｋ',
    'Ｌ' : 'ｌ',
    'Ｍ' : 'ｍ',
    'Ｎ' : 'ｎ',
    'Ｏ' : 'ｏ',
    'Ｐ' : 'ｐ',
    'Ｑ' : 'ｑ',
    'Ｒ' : 'ｒ',
    'Ｓ' : 'ｓ',
    'Ｔ' : 'ｔ',
    'Ｕ' : 'ｕ',
    'Ｖ' : 'ｖ',
    'Ｗ' : 'ｗ',
    'Ｘ' : 'ｘ',
    'Ｙ' : 'ｙ',
    'Ｚ' : 'ｚ',
    'Α' : 'α',
    'Β' : 'β',
    'Γ' : 'γ',
    'Δ' : 'δ',
    'Ε' : 'ε',
    'Ζ' : 'ζ',
    'Η' : 'η',
    'Θ' : 'θ',
    'Ι' : 'ι',
    'Κ' : 'κ',
    'Λ' : 'λ',
    'Μ' : 'μ',
    'Ν' : 'ν',
    'Ξ' : 'ξ',
    'Ο' : 'ο',
    'Π' : 'π',
    'Ρ' : 'ρ',
    'Σ' : 'σ',
    'Τ' : 'τ',
    'Υ' : 'υ',
    'Φ' : 'φ',
    'Χ' : 'χ',
    'Ψ' : 'ψ',
    'Ω' : 'ω',
    'А' : 'а',
    'Б' : 'б',
    'В' : 'в',
    'Г' : 'г',
    'Д' : 'д',
    'Е' : 'е',
    'Ё' : 'ё',
    'Ж' : 'ж',
    'З' : 'з',
    'И' : 'и',
    'Й' : 'й',
    'К' : 'к',
    'Л' : 'л',
    'М' : 'м',
    'Н' : 'н',
    'О' : 'о',
    'П' : 'п',
    'Р' : 'р',
    'С' : 'с',
    'Т' : 'т',
    'У' : 'у',
    'Ф' : 'ф',
    'Х' : 'х',
    'Ц' : 'ц',
    'Ч' : 'ч',
    'Ш' : 'ш',
    'Щ' : 'щ',
    'Ъ' : 'ъ',
    'Ы' : 'ы',
    'Ь' : 'ь',
    'Э' : 'э',
    'Ю' : 'ю',
    'Я' : 'я',
    'a' : 'A',
    'b' : 'B',
    'c' : 'C',
    'd' : 'D',
    'e' : 'E',
    'f' : 'F',
    'g' : 'G',
    'h' : 'H',
    'i' : 'I',
    'j' : 'J',
    'k' : 'K',
    'l' : 'L',
    'm' : 'M',
    'n' : 'N',
    'o' : 'O',
    'p' : 'P',
    'q' : 'Q',
    'r' : 'R',
    's' : 'S',
    't' : 'T',
    'u' : 'U',
    'v' : 'V',
    'w' : 'W',
    'x' : 'X',
    'y' : 'Y',
    'z' : 'Z',
    'A' : 'a',
    'B' : 'b',
    'C' : 'c',
    'D' : 'd',
    'E' : 'e',
    'F' : 'f',
    'G' : 'g',
    'H' : 'h',
    'I' : 'i',
    'J' : 'j',
    'K' : 'k',
    'L' : 'l',
    'M' : 'm',
    'N' : 'n',
    'O' : 'o',
    'P' : 'p',
    'Q' : 'q',
    'R' : 'r',
    'S' : 's',
    'T' : 't',
    'U' : 'u',
    'V' : 'v',
    'W' : 'w',
    'X' : 'x',
    'Y' : 'y',
    'Z' : 'z',
    ';' : '+',
    ':' : '*',
    ',' : '<',
    '.' : '>',
    '/' : '?'
  };
})();
