// 文字種切り替えマップ
(function() {
  return {
    '！' : '!',
    '゛' : '"',
    '＃' : '#',
    '＄' : '$',
    '％' : '%',
    '＆' : '&',
    '’' : "'",
    '（' : '(',
    '）' : ')',
    '－' : '-',
    '＾' : '^',
    '＠' : '@',
    '＝' : '=',
    '～' : '~',
    '｜' : '|',
    '｀' : '`',
    '＋' : '+',
    '＊' : '*',
    '＜' : '<',
    '＞' : '>',
    '？' : '?',
    '＿' : '_',
    '!' : '`！',
    '"' : '゛',
    '#' : '＃',
    '$' : '＄',
    '%' : '％',
    '&' : '＆',
    "'" : '’',
    '(' : '（',
    ')' : '）',
    '-' : '－',
    '^' : '＾',
    '@' : '＠',
    '=' : '＝',
    '~' : '～',
    '|' : '｜',
    '`' : '｀',
    '+' : '＋',
    '*' : '＊',
    '<' : '＜',
    '>' : '＞',
    '?' : '？',
    '_' : '＿',
    '1' : '１',
    '2' : '２',
    '3' : '３',
    '4' : '４',
    '5' : '５',
    '6' : '６',
    '7' : '７',
    '8' : '８',
    '9' : '９',
    '0' : '０',
    ';' : '；',
    ':' : '：',
    '[' : '［',
    ']' : '］',
    '１' : '1',
    '２' : '2',
    '３' : '3',
    '４' : '4',
    '５' : '5',
    '６' : '6',
    '７' : '7',
    '８' : '8',
    '９' : '9',
    '０' : '0',
    '；' : ';',
    '：' : ':',
    '［' : '[',
    '］' : ']',
    'ー' : 'ｰ',
    'あ' : 'ｱ',
    'い' : 'ｲ',
    'う' : 'ｳ',
    'え' : 'ｴ',
    'お' : 'ｵ',
    'か' : 'ｶ',
    'き' : 'ｷ',
    'く' : 'ｸ',
    'け' : 'ｹ',
    'こ' : 'ｺ',
    'さ' : 'ｻ',
    'し' : 'ｼ',
    'す' : 'ｽ',
    'せ' : 'ｾ',
    'そ' : 'ｿ',
    'た' : 'ﾀ',
    'ち' : 'ﾁ',
    'つ' : 'ﾂ',
    'て' : 'ﾃ',
    'と' : 'ﾄ',
    'な' : 'ﾅ',
    'に' : 'ﾆ',
    'ぬ' : 'ﾇ',
    'ね' : 'ﾈ',
    'の' : 'ﾉ',
    'は' : 'ﾊ',
    'ひ' : 'ﾋ',
    'ふ' : 'ﾌ',
    'へ' : 'ﾍ',
    'ほ' : 'ﾎ',
    'ま' : 'ﾏ',
    'み' : 'ﾐ',
    'む' : 'ﾑ',
    'め' : 'ﾒ',
    'も' : 'ﾓ',
    'や' : 'ﾔ',
    'ゆ' : 'ﾕ',
    'よ' : 'ﾖ',
    'ら' : 'ﾗ',
    'り' : 'ﾘ',
    'る' : 'ﾙ',
    'れ' : 'ﾚ',
    'ろ' : 'ﾛ',
    'わ' : 'ﾜ',
    'を' : 'ｦ',
    'ん' : 'ﾝ',
    'が' : 'ｶﾞ',
    'ぎ' : 'ｷﾞ',
    'ぐ' : 'ｸﾞ',
    'げ' : 'ｹﾞ',
    'ご' : 'ｺﾞ',
    'ざ' : 'ｻﾞ',
    'じ' : 'ｼﾞ',
    'ず' : 'ｽﾞ',
    'ぜ' : 'ｾﾞ',
    'ぞ' : 'ｿﾞ',
    'だ' : 'ﾀﾞ',
    'ぢ' : 'ﾁﾞ',
    'づ' : 'ﾂﾞ',
    'で' : 'ﾃﾞ',
    'ど' : 'ﾄﾞ',
    'ば' : 'ﾊﾞ',
    'び' : 'ﾋﾞ',
    'ぶ' : 'ﾌﾞ',
    'べ' : 'ﾍﾞ',
    'ぼ' : 'ﾎﾞ',
    'ぱ' : 'ﾊﾟ',
    'ぴ' : 'ﾋﾟ',
    'ぷ' : 'ﾌﾟ',
    'ぺ' : 'ﾍﾟ',
    'ぽ' : 'ﾎﾟ',
    'ぁ' : 'ｧ',
    'ぃ' : 'ｨ',
    'ぅ' : 'ｩ',
    'ぇ' : 'ｪ',
    'ぉ' : 'ｫ',
    'ゃ' : 'ｬ',
    'ゅ' : 'ｭ',
    'ょ' : 'ｮ',
    'っ' : 'ｯ',
    'ａ' : 'a',
    'ｂ' : 'b',
    'ｃ' : 'c',
    'ｄ' : 'd',
    'ｅ' : 'e',
    'ｆ' : 'f',
    'ｇ' : 'g',
    'ｈ' : 'h',
    'ｉ' : 'i',
    'ｊ' : 'j',
    'ｋ' : 'k',
    'ｌ' : 'l',
    'ｍ' : 'm',
    'ｎ' : 'n',
    'ｏ' : 'o',
    'ｐ' : 'p',
    'ｑ' : 'q',
    'ｒ' : 'r',
    'ｓ' : 's',
    'ｔ' : 't',
    'ｕ' : 'u',
    'ｖ' : 'v',
    'ｗ' : 'w',
    'ｘ' : 'x',
    'ｙ' : 'y',
    'ｚ' : 'z',
    'Ａ' : 'A',
    'Ｂ' : 'B',
    'Ｃ' : 'C',
    'Ｄ' : 'D',
    'Ｅ' : 'E',
    'Ｆ' : 'F',
    'Ｇ' : 'G',
    'Ｈ' : 'H',
    'Ｉ' : 'I',
    'Ｊ' : 'J',
    'Ｋ' : 'K',
    'Ｌ' : 'L',
    'Ｍ' : 'M',
    'Ｎ' : 'N',
    'Ｏ' : 'O',
    'Ｐ' : 'P',
    'Ｑ' : 'Q',
    'Ｒ' : 'R',
    'Ｓ' : 'S',
    'Ｔ' : 'T',
    'Ｕ' : 'U',
    'Ｖ' : 'V',
    'Ｗ' : 'W',
    'Ｘ' : 'X',
    'Ｙ' : 'Y',
    'Ｚ' : 'Z'
  };
})();
